#if !defined(AFX_RPTPAGE_H__D7FAF561_0B16_11D2_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_RPTPAGE_H__D7FAF561_0B16_11D2_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// RptPage.h : header file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking

// Required for CPieGraph class.
#include "PieGraph.h"
#include "MyList.h"
// Required for CColorBox class.
#include "ColorBox.h"

/////////////////////////////////////////////////////////////////////////////
// CRptPage dialog

class CRptPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CRptPage)

// Construction
public:
	CRptPage();
	~CRptPage();
	CImageList m_ilDrives;

// Dialog Data
	//{{AFX_DATA(CRptPage)
	enum { IDD = IDD_RESULTS1 };
	CButton	m_cmdScanNow;
	CButton	m_cmdGenerate;
	CStatic	m_lblUnfrag1;
	CStatic	m_lblIncomplete;
	CStatic	m_lblFrag1;
	CPieGraph	m_boxPieChart;
	CColorBox	m_boxUnfrag;
	CColorBox	m_boxFrag;
	CStatic	m_lblTitle;
	CStatic	m_lblUnfrag;
	CStatic	m_lblFrag;
	CMyList	m_lstDrives;
	int		m_intFormula;
	//}}AFX_DATA
//	CPieGraph	m_boxPieChart;


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CRptPage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual int GetCurrentItem();
	virtual DRVTABENT* GetCurrentSel();
	// Generated message map functions
	//{{AFX_MSG(CRptPage)
	afx_msg void OncmdGenerate();
	afx_msg void OnItemchangedList1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnGetdispinfoList1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnoptFormula1();
	afx_msg void OncmdScanNow();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	afx_msg void OnCopy();
	DECLARE_MESSAGE_MAP()
private:
	void UpdateLabels(void);
	void DoReport(void);
	int m_intLastSelection;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RPTPAGE_H__D7FAF561_0B16_11D2_A4C6_00A0CC307F9C__INCLUDED_)
